version = 1

[[analyzers]]
name = "test-coverage"
enabled = true

[[analyzers]]
name = "terraform"
enabled = true

[[analyzers]]
name = "sql"
enabled = true

[[analyzers]]
name = "shell"
enabled = true

[[analyzers]]
name = "secrets"
enabled = true

[[analyzers]]
name = "scala"
enabled = true

[[analyzers]]
name = "rust"
enabled = true

  [analyzers.meta]
  msrv = "stable"

[[analyzers]]
name = "ruby"
enabled = true

[[analyzers]]
name = "python"
enabled = true

  [analyzers.meta]
  runtime_version = "3.x.x"

[[analyzers]]
name = "php"
enabled = true

  [analyzers.meta]
  bootstrap_files = ["Sportanica"]

[[analyzers]]
name = "java"
enabled = true

  [analyzers.meta]
  runtime_version = "17"

[[analyzers]]
name = "go"
enabled = true

  [analyzers.meta]
  import_root = "github.com/KOSASIH/Sportanica"

[[analyzers]]
name = "docker"
enabled = true

  [analyzers.meta]
  dockerfile_paths = ["Sportanica"]

[[analyzers]]
name = "csharp"
enabled = true

[[analyzers]]
name = "ansible"
enabled = true

[[transformers]]
name = "dotnet-format"
enabled = true

[[transformers]]
name = "gofumpt"
enabled = true

[[transformers]]
name = "gofmt"
enabled = true

[[transformers]]
name = "php-cs-fixer"
enabled = true

[[transformers]]
name = "black"
enabled = true

[[transformers]]
name = "isort"
enabled = true

[[transformers]]
name = "autopep8"
enabled = true

[[transformers]]
name = "yapf"
enabled = true

[[transformers]]
name = "standardrb"
enabled = true

[[transformers]]
name = "rubocop"
enabled = true

[[transformers]]
name = "rustfmt"
enabled = true

[[transformers]]
name = "scalafmt"
enabled = true